### Method

# Ide Completion remove_provider

#### Declaration

    void
    ide_completion_remove_provider (
      IdeCompletion* self,
      IdeCompletionProvider* provider
    )

#### Description

Removes an `IdeCompletionProvider` previously added with ide_completion_add_provider().

Available since: | 3.32

#### Parameters

`provider` | `IdeCompletionProvider`
| An `IdeCompletionProvider`.
| The data is owned by the caller of the function.